Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]


Groups > linux.kernel > #1533994

[PATCH v2 8/8] locking: Add ww_mutex to tools/testing/selftests

From Chris Wilson <chris@chris-wilson.co.uk>
Newsgroups linux.kernel
Subject [PATCH v2 8/8] locking: Add ww_mutex to tools/testing/selftests
Date 2016-12-01 12:50 +0100
Message-ID <sJy2e-3i8-33@gated-at.bofh.it> (permalink)
References <sJy2e-3i8-9@gated-at.bofh.it>
Organization linux.* mail to news gateway

Show all headers | View raw


Add the minimal test running (modprobe test-ww_mutex) to the kselftests
CI framework.

Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
Cc: Shuah Khan <shuah@kernel.org>
Cc: Peter Zijlstra <peterz@infradead.org>
Cc: Ingo Molnar <mingo@redhat.com>
---
 tools/testing/selftests/locking/ww_mutex.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)
 create mode 100755 tools/testing/selftests/locking/ww_mutex.sh

diff --git a/tools/testing/selftests/locking/ww_mutex.sh b/tools/testing/selftests/locking/ww_mutex.sh
new file mode 100755
index 000000000000..6905da965f3b
--- /dev/null
+++ b/tools/testing/selftests/locking/ww_mutex.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+# Runs API tests for struct ww_mutex (Wait/Wound mutexes)
+
+if /sbin/modprobe -q test-ww_mutex; then
+       /sbin/modprobe -q -r test-ww_mutex
+       echo "locking/ww_mutex: ok"
+else
+       echo "locking/ww_mutex: [FAIL]"
+       exit 1
+fi
-- 
2.10.2

Back to linux.kernel | Previous | NextPrevious in thread | Next in thread | Find similar | Unroll thread


Thread

locking: Add kselftests for ww_mutex Chris Wilson <chris@chris-wilson.co.uk> - 2016-12-01 12:50 +0100
  [PATCH v2 8/8] locking: Add ww_mutex to tools/testing/selftests Chris Wilson <chris@chris-wilson.co.uk> - 2016-12-01 12:50 +0100
  [PATCH v2 5/8] locking: Add kselftests for ww_mutex ABBA deadlock detection Chris Wilson <chris@chris-wilson.co.uk> - 2016-12-01 12:50 +0100

csiph-web